#include <iostream>
#include<stdlib.h>

using namespace std;

int main ()
{
    int br, m, b1, b0;
    cin>>br;
    while((br/10)>0)
    {
        if(((br%10)==1)||((br%10)==0))
        {
            if((br%10)==1)
            {
                b1++;
                m=0;
            }
            else
            {
                b0++;
                m=0;
            }
            br=br/10;
        }
        else 
        {
            m=1;
            br=0;
        }
   
    }
    if(m!=1)
    {
        m=b1-1;
    }
    cout<<m;
    return 0;
}